ref: ee34200e5fa295c54b2bc41c00d9f5d16e1961ff
parent: 295fc6c61921f63f8525d14aaa595f4d67bf3427
author: ISSOtm <eldredhabert0@gmail.com>
date: Thu Feb 6 10:36:15 EST 2020
Output diffs when binary tests fail
--- a/test/asm/test.sh
+++ b/test/asm/test.sh
@@ -17,7 +17,7 @@
}
tryCmp () {
- cmp $1 $2 || (echo -e "${bold}${red}${i%.asm}${variant}.out.bin mismatch!${rescolors}${resbold}"; false)
+ cmp $1 $2 || (../../contrib/gbdiff.bash $1 $2; echo -e "${bold}${red}${i%.asm}${variant}.out.bin mismatch!${rescolors}${resbold}"; false)
}
for i in *.asm; do
--- a/test/link/test.sh
+++ b/test/link/test.sh
@@ -16,7 +16,7 @@
}
tryCmp () {
- cmp $1 $2 || (echo -e "${bold}${red}${i%.asm}${variant}.out.bin mismatch!${rescolors}${resbold}"; false)
+ cmp $1 $2 || (../../contrib/gbdiff.bash $1 $2; echo -e "${bold}${red}${i%.asm}${variant}.out.bin mismatch!${rescolors}${resbold}"; false)
}
RGBASM=../../rgbasm